<?

$jsonName = "errorData";

$content = array();
$content['title'] = "Errors";
$content['body'] = "";

// on save data
if (isset($_GET['action']) && $_GET['action'] == "saved") {
	$content['body'] = "
		<div class=\"message\">Your changes to 'errors' are saved successfully.</div>
		<div><a href=\"?page=".$page."&action=change\">modify again</a>.</div>
	";
}

// display error data
if (!isset($_GET['action'])) {
	$json = getJson($jsonName);
	$content['body'] .= "<a href=\"?page=".$page."&action=change\">Change error messages</a><hr>";
	$content['body'] .= "<table>";
	$content['body'] .= "<tr><th>Message</th><th>Title</th><th>Body</th></tr>";
	$content['body'] .= "<tr><td>ERROR&nbsp;403:&nbsp;&nbsp;</td><td>".htmlentities($json['page']['403']['title'])."</td><td>".htmlentities($json['page']['403']['body'])."</td></tr>";
	$content['body'] .= "<tr><td>ERROR&nbsp;404:&nbsp;&nbsp;</td><td>".htmlentities($json['page']['404']['title'])."</td><td>".htmlentities($json['page']['404']['body'])."</td></tr>";
	$content['body'] .= "<tr><td>ERROR&nbsp;500:&nbsp;&nbsp;</td><td>".htmlentities($json['page']['500']['title'])."</td><td>".htmlentities($json['page']['500']['body'])."</td></tr>";
	$content['body'] .= "<tr><td>Contact&nbsp;text:&nbsp;&nbsp;</td><td colspan=\"2\">".htmlentities($json['contact'])."</td></tr>";
	$content['body'] .= "</table>";
}

// Change error form
if (isset($_GET['action']) && $_GET['action'] == "change") {
	
	if (isset($_POST['submitFormButton'])) {
		$fields = $_POST['fields']; $json = array();
		$json['page']['403']['title'] = stripslashes(htmlHexChars($fields['page']['403']['title']));
		$json['page']['403']['body'] = stripslashes(htmlHexChars($fields['page']['403']['body']));
		$json['page']['404']['title'] = stripslashes(htmlHexChars($fields['page']['404']['title']));
		$json['page']['404']['body'] = stripslashes(htmlHexChars($fields['page']['404']['body']));
		$json['page']['500']['title'] = stripslashes(htmlHexChars($fields['page']['500']['title']));
		$json['page']['500']['body'] = stripslashes(htmlHexChars($fields['page']['500']['body']));
		$json['contact'] = stripslashes(htmlHexChars($fields['contact']));
		writeJson($jsonName,$json);
		pageForward("?page=".$page."&action=saved");
	}
	
	$json = getJson($jsonName);
	$content['body'] .= "<form method=\"post\" action=\"\" name=\"updateForm\">";
	$content['body'] .= "
	
		<div><b>ERROR&nbsp;403:&nbsp;(FORBIDDEN)</b></div>
		<div>
			<span style=\"float:left;width:40px;\">Title:&nbsp;</span>
			<span>".getFormField("text","fields[page][403][title]",$json['page']['403']['title']) . "</span>
		</div>
		<div>
			<span style=\"float:left;width:40px;\">Body:&nbsp;</span>
			<span>".getFormField("textarea","fields[page][403][body]",$json['page']['403']['body']) . "</span>
		</div>
		<hr>
		
		<div><b>ERROR&nbsp;404:&nbsp;(NOT&nbsp;FOUND)</b></div>
		<div>
			
			<span style=\"float:left;width:40px;\">Title:&nbsp;</span>
			<span>".getFormField("text","fields[page][404][title]",$json['page']['404']['title']) . "</span>
		</div>
		<div>
			<span style=\"float:left;width:40px;\">Body:&nbsp;</span>
			<span>".getFormField("textarea","fields[page][404][body]",$json['page']['404']['body']) . "</span>
		</div>
		<hr>

		<div><b>ERROR&nbsp;500:&nbsp;(SERVER&nbsp;INTERNAL&nbsp;ERROR)</b></div>
		<div>
			<span style=\"float:left;width:40px;\">Title:&nbsp;</span>
			<span>".getFormField("text","fields[page][500][title]",$json['page']['500']['title']) . "</span>
		</div>
		<div>
			<span style=\"float:left;width:40px;\">Body:&nbsp;</span>
			<span>".getFormField("textarea","fields[page][500][body]",$json['page']['500']['body']) . "</span>
		</div>
		<hr>
		
	";
	$content['body'] .= "<div><b>Contact&nbsp;text:&nbsp;</b></div><div>".getFormField("textarea","fields[contact]",$json['contact']) . "</div><hr>";
	$content['body'] .= "
		<span><input class=\"submit\" type=\"button\" name=\"cancelFormButton\" value=\"Discard changes\" onClick=\"loadUrl(\"?page=".$page."\")\"></span>
		<span><input class=\"submit\" type=\"submit\" name=\"submitFormButton\" value=\"Save changes\"></span>
	";
	$content['body'] .= "</form>";
}

?>
