<?php

include_once('../inc/vars.php');
include_once('../inc/func.php');
$root = constant("SERVER_PROJECT_ROOT");
$path = "files/";

function isValueForbidden($name) {
	$fValues = array('index.php','error_log');
	return in_array($name,$fValues);
}

if (isset($_GET['preview'])) {
	if (isValueForbidden($_GET['preview'])) { die(); }
	$file = $path.$_GET['preview'];
	if (isFile($file)) {
		header('Content-Type: '.getFileType($file));
		echo(file_get_contents($root.$file));
	}
	die();
}

if (isset($_GET['download'])) {
	if (isValueForbidden($_GET['download'])) { die(); }
	$file = $path.$_GET['download'];
	if (isFile($file)) {
		$filetype = getFileType($file);
		header('Content-Description: File Transfer');
		header('Content-Type: '.$filetype);
		header('Content-Disposition: attachment; filename='.basename($root.$file));
		header('Content-Transfer-Encoding: binary');
		header('Expires: 0');
		header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
		header('Pragma: public');
		header('Content-Length: ' . filesize($root.$file));
		ob_clean();
		flush();
		readfile($root.$file);
		exit;
	}
	die();
}
?>
