-- phpMyAdmin SQL Dump
-- version 3.4.3.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Sep 16, 2011 at 04:00 AM
-- Server version: 5.1.56
-- PHP Version: 5.2.9

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `geekweb_kyfoo`
--

-- --------------------------------------------------------

--
-- Table structure for table `kyfoo_function`
--

CREATE TABLE IF NOT EXISTS `kyfoo_function` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(300) NOT NULL,
  `fix_created` timestamp NULL DEFAULT NULL,
  `fix_createdby` int(11) NOT NULL,
  `fix_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fix_modifiedby` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `kyfoo_group`
--

CREATE TABLE IF NOT EXISTS `kyfoo_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(300) NOT NULL,
  `function` varchar(300) NOT NULL,
  `fix_created` timestamp NULL DEFAULT NULL,
  `fix_createdby` int(11) NOT NULL,
  `fix_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fix_modifiedby` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `kyfoo_group`
--

INSERT INTO `kyfoo_group` (`id`, `name`, `function`, `fix_created`, `fix_createdby`, `fix_modified`, `fix_modifiedby`) VALUES
(1, 'Admin', '', '0000-00-00 00:00:00', 1, '0000-00-00 00:00:00', 1);

-- --------------------------------------------------------

--
-- Table structure for table `kyfoo_user`
--

CREATE TABLE IF NOT EXISTS `kyfoo_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(300) NOT NULL,
  `password` varchar(40) NOT NULL,
  `hash` varchar(40) NOT NULL,
  `fix_created` timestamp NULL DEFAULT NULL,
  `fix_createdby` int(11) NOT NULL,
  `fix_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fix_modifiedby` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash` (`hash`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `kyfoo_user`
--

INSERT INTO `kyfoo_user` (`id`, `username`, `password`, `hash`, `fix_created`, `fix_createdby`, `fix_modified`, `fix_modifiedby`) VALUES
(1, 'sysadmin', '', 'acb50c23f070063b23db5bad53c7a1d0070ea7d3', '0000-00-00 00:00:00', 1, '2011-07-29 11:03:30', 1);

-- --------------------------------------------------------

--
-- Table structure for table `kyfoo_user_group`
--

CREATE TABLE IF NOT EXISTS `kyfoo_user_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(300) NOT NULL,
  `groupname` varchar(300) NOT NULL,
  `fix_created` timestamp NULL DEFAULT NULL,
  `fix_createdby` int(11) NOT NULL,
  `fix_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `fix_modifiedby` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `username` (`username`),
  KEY `groupname` (`groupname`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `kyfoo_user_group`
--

INSERT INTO `kyfoo_user_group` (`id`, `username`, `groupname`, `fix_created`, `fix_createdby`, `fix_modified`, `fix_modifiedby`) VALUES
(1, 'superadmin', 'Admin', '0000-00-00 00:00:00', 1, '0000-00-00 00:00:00', 1);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `kyfoo_user_group`
--
ALTER TABLE `kyfoo_user_group`
  ADD CONSTRAINT `kyfoo_user_group_ibfk_1` FOREIGN KEY (`username`) REFERENCES `kyfoo_user` (`username`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `kyfoo_user_group_ibfk_2` FOREIGN KEY (`groupname`) REFERENCES `kyfoo_group` (`name`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
