<?

// PHP-Fehlermeldungen ganz abschalten
error_reporting(E_ALL);

// MAIN INCLUDES
include_once('inc/vars.php');
include_once('inc/func.php');
include_once('inc/actions.php');

if (isset($SERVER_PROJECT_ROOT_0)) {
	$isHostSecure = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == "on";
	$protocol = $isHostSecure === TRUE ? "https" : "http";
	define("SERVER_PROJECT_ROOT",preg_replace("/install.php/","",$_SERVER["SCRIPT_FILENAME"]));
	define("PROJECT_ROOT",$protocol."://".$_SERVER["HTTP_HOST"].preg_replace("/install.php/","",$_SERVER["SCRIPT_NAME"]));
	$varPath = "inc/vars.php";
	$varContent = file_get_contents($varPath);
	$varContent = preg_replace("/SERVER_PROJECT_ROOT_0/","SERVER_PROJECT_ROOT",$varContent);
	$varContent = preg_replace("/PROJECT_ROOT_0/","PROJECT_ROOT",$varContent);
	$varContent = preg_replace("/SERVER_PROJECT_ROOT_VALUE/",constant("SERVER_PROJECT_ROOT"),$varContent);
	$varContent = preg_replace("/PROJECT_ROOT_VALUE/",constant("PROJECT_ROOT"),$varContent);
	$fh = fopen($varPath, 'w'); fwrite($fh, $varContent); fclose($fh);
}

$json = "db";

if (jsonExists($json)) {
	die("The CMS is already installed. Remove '~/.json/".$json.".json' for a reinstallation");
}

if (isset($_POST['sysadmpwd']) && $_POST['sysadmpwd'] != "") {
	
	// set database configuration
	writeJson($json,$_POST['db']);
	
	// open database connection
	include_once('inc/db.php');
	
	// create the needed database tables
	$neededTables = getJson("initTables");
	foreach(array_keys($neededTables['tables']) as $nt) {
		$query = "CREATE TABLE IF NOT EXISTS `".$_POST['db']['prefix'].$nt."` (";
		$query .= $neededTables['tables'][$nt];
		$query .= ") ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1";
		mysql_query($query) or die('SQL Create Table: '.$query.'<br>Failed: '.mysql_error());
	}
	foreach(array_keys($neededTables['items']) as $nti) {
		$query = "INSERT INTO  `".$_POST['db']['prefix'].$nti."` ";
		$query .= $neededTables['items'][$nti];
		mysql_query($query) or die('SQL Add item: '.$query.'<br>Failed: '.mysql_error());
	}
	
	// create user 'sysadmin' (in database)
	$pwd = getCryptedPassword($_POST['sysadmpwd']);
	$array = array(); $array['password'] = $pwd;
	sql_update($_POST['db']['prefix']."user",$array,"id='1'");
	
	// close database connection
	mysql_close($db);
	
	die("
		The CMS is installed successfully. 
		Go to the <a href=\"admin/\">admin panel</a> 
		and login as 'sysadmin' for further actions.
	");
}

if (!isset($_POST['sysadmpwd'])) {
?>
<h1>Inizialise kyfoo</h1>
<form action="" method="post">
<hr>
<table>
	<tr><th colspan="2">Choose your (already existing) database</th></tr>
	<tr><td>Server:&nbsp;</td><td><input type="text" name="db[server]" value=""></td></tr>
	<tr><td>Username:&nbsp;</td><td><input type="text" name="db[username]" value=""></td></tr>
	<tr><td>Password:&nbsp;</td><td><input type="text" name="db[password]" value=""></td></tr>
	<tr><td>Database:&nbsp;</td><td><input type="text" name="db[database]" value=""></td></tr>
	<tr><td>Prefix:&nbsp;</td><td><input type="text" name="db[prefix]" value="kyfoo_"></td></tr>
</table>
<hr>
<table>
	<tr><th colspan="2">Set sysadmins password</th></tr>
	<tr><td>Password:&nbsp;</td><td><input type="password" name="sysadmpwd" value=""></td></tr>
</table>
<hr>
<input type="submit" name="submit" value="Inizialise kyfoo">
</form>
<? } ?>
