/* MAIN FUNCTIONS */
function goBack() { window.history.back(); }
function loadUrl(url) { window.location.href=url; }
function submitForm(formName) { document.forms[formName].submit(); }
function addHtml(elementId,addTag) { $(elementId).appendChild(addTag); }
function removeItem(itemId) { var element = $(itemId); element.parentNode.removeChild(element); }
function displaySwitch(itemId,statement) {
	$(itemId).style.visibility = statement ? "visible" : "hidden";
	$(itemId).style.display = statement ? "block" : "none";
}
function moveChildOneUp(itemId) {
	if ($(itemId) == null) { alert('moveChildOneDown(): item not found.'); return; }
	var element = $(itemId); var parent = element.parentNode; var temp = new Array();
	var items = parent.childNodes; var previousId = null; var previousItem = null;
	if (items[0] == element) { return; }
	for (var i = 0; i < items.length; i++) {
		var item = items[i]; temp[i] = items[i];
		if (item == element && previousItem != null) { temp[i] = previousItem; temp[previousId] = item; }
		previousId = i; previousItem = item;
	}
	parent.innerHTML = "";
	for (var i = 0; i < temp.length; i++) { parent.appendChild(temp[i]); }
}
function moveChildOneDown(itemId) {
	if ($(itemId) == null) { alert('moveChildOneDown(): item not found.'); return; }
	var element = $(itemId); var parent = element.parentNode; var temp = new Array();
	var items = parent.childNodes; var previousId = null; var previousItem = null;
	if (items[items.length-1] == element) { return; }
	for (var i = 0; i < items.length; i++) {
		var item = items[i]; temp[i] = items[i];
		if (previousItem == element) { temp[i] = previousItem; temp[previousId] = item; }
		previousId = i; previousItem = item;
	}
	parent.innerHTML = "";
	for (var i = 0; i < temp.length; i++) { parent.appendChild(temp[i]); }
}
function getCaret(el) { 
	if (el.selectionStart) { return el.selectionStart; }
	if (document.selection) { 
		el.focus(); 
		var r = document.selection.createRange(); 
		if (r == null) { return 0; } 
		var re = el.createTextRange(), 
		rc = re.duplicate(); 
		re.moveToBookmark(r.getBookmark()); 
		rc.setEndPoint('EndToStart', re); 
		return rc.text.length; 
	}  
	return 0; 
}
function loadContextMenu(loadInTo,fieldId) {
	/*
	if ($(loadInTo) == null) { alert("Element with id '"+loadInTo+"' doesn't exist."); return; }
	if ($(fieldId) == null) { alert("Field with id '"+fieldId+"' doesn't exist."); return; }
	$(loadInTo).style.visibility = "hidden"; $(loadInTo).style.display = "none";
	ajaxCall("contextMenuJson","",loadInTo);
	var json = eval("(" + eval($(loadInTo).innerHTML); + ")");
	$(loadInTo).innerHTML = "";
	displayContextMenu(loadInTo,fieldId,json);
	*/
}
function displayContextMenu(item,fieldId,json) {
	var position = getCaret($(fieldId));
	$(loadInTo).innerHTML = "asdf"+$(fieldId).value;
	$(loadInTo).style.visibility = "visible"; $(loadInTo).style.display = "block";
}

/* AJAX FUNCTIONS */
function ajaxCall(item,params,loadInTo) {
	var url = "ajax/"+item+".php?"+params;
	var element = $(loadInTo);
	if (element == null) { alert("Element with id '"+loadInTo+"' doesn't exist."); return; }
	element.innerHTML = "Please wait ...";
	var ajaxObj = new Ajax.Request(url,
	{
		method:'get',evalJS:'force',parameters:null,asynchronous:true,
		onSuccess: function(transport) { element.innerHTML = transport.responseText; },
		onUnload: function() { },
		onFailure: function() { },
		onComplete: function() { }
	});
	this.transport = ajaxObj.transport; 
}

/* VARIABLES FUNCTIONS */
function addVarGroup(name) {
	var value = $(name).value;
	if (value == "") { alert("Value cannot be empty."); return; }
	if ($("item["+value+"]") != null) { alert("Your choosen group already exists."); return; }
	var addTag = document.createElement("div");
    addTag.id = "item["+value+"]";
    addTag.style.margin.bottom = "10px";         
	var htmlToAdd = "<div><span style=\"float: left; width: 100px;\"><b>"+value+"</b></span>";
	htmlToAdd += "<span>(<b>isNEW</b> <a href=\"JavaScript:;\" onClick=\"removeItem('item["+value+"]')\">remove group</a>)<span>";
	htmlToAdd += "</div>";
	htmlToAdd += "<div style=\"margin-top:5px;\"><span style=\"float: left; width: 100px;\">Add item</span><span>";
	htmlToAdd += "<input type=\"text\" id=\"addItemKey["+value+"]\" name=\"addItemKey["+value+"]\" value=\"\" style=\"width:100px\">";
	htmlToAdd += "<input type=\"button\" name=\"addItem\" value=\"Add\" style=\"width:50px\" onclick=\"addVarItem('"+value+"');\">";
	htmlToAdd += "</span>";
	addTag.innerHTML = htmlToAdd;
	addHtml("groups",addTag);
}
function addVarItem(group) {
	var elementId = "item["+group+"]"; var fieldName = "addItemKey["+group+"]";
	var item = document.getElementById(fieldName); var itemName = item.value;
	if (itemName == "") { alert("Value cannot be empty."); return; }
	if (document.getElementById("item["+group+"]["+itemName+"]") != null) { alert("Your choosen item already exists in that group."); return; }
	var addTag = document.createElement("div");
    addTag.id = "item["+group+"]["+itemName+"]";
	var htmlToAdd = "<span style=\"float: left; width: 100px;\">&nbsp;=&gt;&nbsp;"+itemName+":&nbsp;&nbsp;</span>";
	htmlToAdd += "<span><input type=\"text\" name=\"field["+group+"]["+itemName+"]\" value=\"\">&nbsp;&nbsp;</span>";
	htmlToAdd += "<span><b>isNEW</b> <a href=\"JavaScript:;\" onClick=\"removeItem('item["+group+"]["+itemName+"]')\">remove item</a></span>";
	addTag.innerHTML = htmlToAdd;
	addHtml(elementId,addTag);
}

/* PAGE AND NAVIGATION FUNCTIONS */
function isInNav() { displaySwitch("isInNavSpan",$("isInNavCheckBox").checked); }
function showNavItemActionMenu(id) {
	var displayType = $("navItemActionMenu_"+id).style.display != "inline" ? "inline" : "none";
	$("navItemActionMenu_"+id).style.display = displayType;
}
function movePageNavItemOneUp(itemId) {
	if ($(itemId) == null) { alert('movePageNavItemOneUp(): item not found.'); return; }
	var element = $(itemId); var parent = element.parentNode; var temp = new Array();
	var items = parent.children; var previousId = null; var previousItem = null;
	
	if (items[1] == element && parent.id != "pageNavItems") {
		var grandparent = parent.parentNode;
		if (!(grandparent.id == "pageNavItems" || grandparent.className == "pageNavItem")) { return; }
		parent.removeChild(element);
		grandparent = parent.parentNode;
		var items = grandparent.children;
		
		for (var i = 0; i < items.length; i++) {
			var item = items[i];
			if (item == parent) { grandparent.insertBefore(element,item); return; }
		}
	} else {
		for (var i = 0; i < items.length; i++) {
			var item = items[i];
			if (item == element && previousItem != null) {
				parent.removeChild(element);
				previousItem.appendChild(element);
				return;
			}
			previousId = i; previousItem = item;
		}
	}
}
function movePageNavItemOneDown(itemId) {
	if ($(itemId) == null) { alert('movePageNavItemOneDown(): item not found.'); return; }
	var element = $(itemId); var parent = element.parentNode; var temp = new Array();
	var items = parent.children; var previousId = null; var previousItem = null;
	
	if (items[items.length-1] == element) {
		var grandparent = parent.parentNode;
		if (!(grandparent.id == "pageNavItems" || grandparent.className == "pageNavItem")) { return; }
		parent.removeChild(element);
		grandparent = parent.parentNode;
		var items = grandparent.children;
		
		for (var i = 0; i < items.length; i++) {
			var item = items[i];
			if (previousItem == parent) { grandparent.insertBefore(element,item); return; }
			if (item == parent && i+1 == items.length) { grandparent.appendChild(element); return; }
			previousId = i; previousItem = item;
		}
	} else {
		for (var i = 0; i < items.length; i++) {
			var item = items[i];
			if (previousItem == element) {
				parent.removeChild(element);
				var subitems = item.children;
				if (subitems.length > 1) { item.insertBefore(element,subitems[1]); }
				if (subitems.length == 1) { item.appendChild(element); }
				return;
			}
			previousId = i; previousItem = item;
		}
	}
}
function editPageNavItemName(id) {
	var element = $("navItemName_"+id);
	showNavItemActionMenu(id);
	var name = element.textContent;
	var newHtml = "<form action=\"javascript:;\" onsubmit=\"savePageNavItemName('"+id+"')\" style=\"display:inline;\">";
	newHtml += "<input id='navItemNameInput_"+id+"' type='text' value='"+name+"' style='width:200px'>";
	newHtml += "<input type='submit' name='save' value='Save' style='width:50px'></form>";
	newHtml += "<b id=\"navItemName_"+id+"\" style=\"display:none;\">"+name+"</b>";
	$("navItemLi_"+id).innerHTML = newHtml;
}
function savePageNavItemName(id) {
	var element = $("navItemLi_"+id);
	var name = $("navItemNameInput_"+id).value;
	element.innerHTML = "<b id=\"navItemName_"+id+"\">"+name+"</b>";
	saveNewNavStructure();
}
function addPageNavItem(id) {
	var element = $("navXItem_"+id);
	element.id = "navItem_"+id;
	$("pageNavItems").appendChild(element);
	movePageNavItem(id);
}
function removePageNavItem(id) {
	var element = $("navItem_"+id);
	element.parentNode.removeChild(element);
	saveNewNavStructure();
}
function movePageNavItem(id) {
	//$("navItem_"+id).style.border = "dotted";
	$("navItem_"+id).style.background = "white";
	$("navItemActionMenu_"+id).innerHTML = " => INFO: Move mouse up and down for repositioning. Click to save new position.";
	
	var children = $("navItem_"+id).children;
	for (var i = 1; i < children.length; i++) { children[i].style.display = 'none'; }
	
	var elp = -1;
	var els = document.getElementsByClassName("pageNavItem");
	for (i=0;i < els.length;i++) { if (els[i].id == "navItem_"+id) { elp = i; } }
	
	var mY = 0; var mU = 10;
	$('body').on('mousemove', function(e){
		if (e.pageY < mY-mU) { movePageNavItemOneUp("navItem_"+id); mY = e.pageY; }
		if (e.pageY > mY+mU) { movePageNavItemOneDown("navItem_"+id); mY = e.pageY; }
		$(document).on('click', function(e){ saveNewNavStructure(); });
	});
}
function getNavArray(element) {
	var childNodes = element.childNodes;
	if (childNodes != null) {
		for (var i = 0; i < childNodes.length; i++) {
			if (childNodes[i].style != null) { childNodes[i].style.display = 'block'; }
		}
		var children = element.children;
		if (children != null) {
			var arr = {};
			for (var i = 0; i < children.length; i++) {
				if (children[i].tagName == "DIV") {
					var id = children[i].id;
					if (id.length > 8 && id.substring(0,8) == "navItem_") {
						id = id.substring(8);
						arr[id] = {};
						arr[id]['name'] = $("navItemName_"+id).textContent;
						var sub = getNavArray(children[i]);
						if (Object.getOwnPropertyNames(sub).length > 0) { arr[id]['sub'] = sub; }
					}
				}
			}
			return arr;
		}
	}
}
function saveNewNavStructure() {
	$('body').style.cursor = "wait";
	var element = $("pageNavItems"); element.style.display = 'none';
	$("pageNavXItems").style.display = 'none';
	$("pageNavItemsAlert").innerHTML = "<b>Saving new navigation structure. Please wait..</b>";
	var structure = getNavArray(element);
	var jsonStr = JSON.stringify(structure);
	
	$('saveNewNavStructureInput').value = jsonStr;
	$("saveNewNavStructureForm").submit();
	
	//console.log(structure);
	return;
	
}

/* FORMS FUNCTIONS */
function formActionMail() { displaySwitch("isMailFields",$("isMail").checked); }
function addFormField(name) {
	var value = $(name).value;
	if (value == "") { alert("Value cannot be empty."); return; }
	if ($("field["+value+"]") != null) { alert("Your choosen field already exists."); return; }
	var addTag = document.createElement("div");
    addTag.id = "field["+value+"]";
      
    var htmlToAdd = "<span style=\"float: left; width: 100px;\"> - "+value+"</span>";
    htmlToAdd += "<span style=\"float: left; width: 150px;\">";
	htmlToAdd += "<input type=\"text\" name=\"data[fields]["+value+"][name]\" value=\"\" style=\"width: 130px;\">";
	htmlToAdd += "</span>";
	htmlToAdd += "<span style=\"float: left; width: 150px;\">&nbsp;";
	htmlToAdd += "<select id=\"field["+value+"][type]\" name=\"data[fields]["+value+"][type]\" style=\"width: 100px;\" onChange=\"displayFormCheckField('"+value+"',this.options[this.selectedIndex].value)\">";
	htmlToAdd += "</select>";
	htmlToAdd += "</span>";
	htmlToAdd += "<span id=\"field["+value+"][check]\" style=\"float: left; width: 150px;\">&nbsp;</span>";
	htmlToAdd += "<span id=\"field["+value+"][error]\">";
	htmlToAdd += "<input type=\"text\" name=\"data[fields]["+value+"][error]\" value=\"\" style=\"width: 230px;\">";
	htmlToAdd += "</span>";
	htmlToAdd += "<span>&nbsp;&nbsp;move&nbsp;";
	htmlToAdd += "<a href=\"JavaScript:;\" onClick=\"moveChildOneUp('field["+value+"]')\">up</a>&nbsp;";
	htmlToAdd += "<a href=\"JavaScript:;\" onClick=\"moveChildOneDown('field["+value+"]')\">down</a>&nbsp;|&nbsp;";
	htmlToAdd += "<a href=\"JavaScript:;\" onClick=\"removeItem('field["+value+"]')\">remove</a>";
	htmlToAdd += "</span>";
	
	addTag.innerHTML = htmlToAdd;
	addHtml("fields",addTag);
	getFormFieldTypes(value,"text");
}
function getFormFieldTypes(fieldName,selected) {
	ajaxCall("formFieldTypes","selected="+selected+"","field["+fieldName+"][type]");
	displayFormCheckField(fieldName,selected);
}
function displayFormCheckField(fieldName,selected) {
	var checkfield = $("field["+fieldName+"][checkfield]");
	var value = checkfield != null ? checkfield.value : "";
	if (selected == "checkbox" && checkfield != null) { value = checkfield.checked; }
	ajaxCall("formFieldTypeChecks","type="+selected+"&value="+value+"&elementid="+fieldName+"","field["+fieldName+"][check]");
}

function mainMenuGetItem(type,item) {
	if (type == "placeholder") { item = "{{"+item+"}}"; }
	if (type == "if") { item = "[if] (BOOLEANSTATEMENT) { THENPRINT } [/if]"; }
	if (type == "foreach") { item = "[foreach] (PLACEHOLDER_ARRAY as 'i') { {{PLACEHOLDER_ARRAY:{{i}}}} <br> } [/foreach]"; }
	$("mainMenuInput").value = item;
}
