<?

$content = array();
$content['title'] = "Backups";
$content['body'] = "";

if (!isAdmin()) { denied(); }

$filesToBackup = array(

	"sitemap.xml","css/main.css","css/mobile.css","css/ie.css","js/main.js","js/jquery.js"
	
);
$foldersToBackup = array(

	".json/",".json/forms/",".json/pages/","files/"
	
);

$systemInfo = getJson("info");

function getBackupDocuments($path) {
	$pathx = constant("SERVER_PROJECT_ROOT")."admin/.backups/".$path;
	if (!file_exists($pathx)) { mkdir($pathx); }
	$dir = dir($pathx);
	while ($entry = $dir->read()) { if (!is_dir($entry)) { $files[] = $entry; } } $dir->close();
	$files = isset($files) ? $files : array(); sort($files); return $files;
}

function getGUID(){
    if (function_exists('com_create_guid')){
        return com_create_guid();
    }else{
        mt_srand((double)microtime()*10000);
        $charid = strtoupper(md5(uniqid(rand(), true)));
        $hyphen = chr(45);
        $uuid = chr(123)
            .substr($charid, 0, 8).$hyphen
            .substr($charid, 8, 4).$hyphen
            .substr($charid,12, 4).$hyphen
            .substr($charid,16, 4).$hyphen
            .substr($charid,20,12)
            .chr(125);
        return $uuid;
    }
}

/* backup the db OR just a table */
function backup_tables($path,$tables = '*') {
	
	// global $db_data, $db;
	// $link = mysql_connect($host,$user,$pass);
	// mysql_select_db($name,$db);
	
	//get all of the tables
	if($tables == '*') {
		$tables = array();
		$result = mysql_query('SHOW TABLES');
		while($row = mysql_fetch_row($result)) {
			if (substr($row[0],0,strlen(constant("DB_TABLE_PREFIX"))) == constant("DB_TABLE_PREFIX")) {
				$tables[] = $row[0];
			}
		}
	} else { $tables = is_array($tables) ? $tables : explode(',',$tables); }
	
	//cycle through
	foreach($tables as $table) {
		$result = mysql_query('SELECT * FROM '.$table);
		$num_fields = mysql_num_fields($result);
		
		$return.= 'DROP TABLE '.$table.';';
		$row2 = mysql_fetch_row(mysql_query('SHOW CREATE TABLE '.$table));
		$return.= "\n\n".$row2[1].";\n\n";
		
		for ($i = 0; $i < $num_fields; $i++) {
			while($row = mysql_fetch_row($result)) {
				$return.= 'INSERT INTO '.$table.' VALUES(';
				for($j=0; $j<$num_fields; $j++) {
					$row[$j] = addslashes($row[$j]);
					$row[$j] = ereg_replace("\n","\\n",$row[$j]);
					if (isset($row[$j])) { $return.= '"'.$row[$j].'"' ; } else { $return.= '""'; }
					if ($j<($num_fields-1)) { $return.= ','; }
				}
				$return.= ");\n";
			}
		}
		$return.="\n\n\n";
	}
	
	//save file
	$handle = fopen($path,'w+'); fwrite($handle,$return); fclose($handle);
}

function delTree($dir) {
	$files = array_diff(scandir($dir), array('.','..'));
	foreach ($files as $file) {
	  (is_dir("$dir/$file")) ? delTree("$dir/$file") : unlink("$dir/$file");
	}
	return rmdir($dir);
} 

$rootPath = isset($_GET['list']) ? $_GET['list']."/" : "";
if ($rootPath != "") {
	$content['body'] .= "<a href=\"?page=".$page."\">Go to backup overview</a>";
	$content['body'] .= "<br>&nbsp;<br><b>".$rootPath."</b>";
} else {
	$content['body'] .= "<a href=\"?page=".$page."&action=add\">Create a new backup</a>";
}

// list all available backups
if (!isset($_GET['item']) && !isset($_GET['action'])) {
	
	$content['body'] .= "
		<br><br>
		<table>
		<tr><td colspan=\"4\"><hr></td></tr>
		<tr>";
		if ($rootPath == "") {
			$content['body'] .= "
			<th>Date&nbsp;&nbsp;&nbsp;</th>
			<th>System&nbsp;&nbsp;&nbsp;</th>
			<th>GUID&nbsp;&nbsp;&nbsp;</th>
			";
		} else {
			$content['body'] .= "
			<th>Name&nbsp;&nbsp;&nbsp;</th>
			<th>Size&nbsp;&nbsp;&nbsp;</th>
			<th>Last modified&nbsp;&nbsp;&nbsp;</th>
			";
		}
		$content['body'] .= "<th>Actions</th>
		</tr>
		<tr><td colspan=\"4\"><hr></td></tr>
	";
	
	$backups = getBackupDocuments($rootPath);
	foreach(array_keys($backups) as $f) {
		$folder = $backups[$f];
		$isLink = true;
		$viewText = "<a href=\"?page=".$page."&list=".$_GET['list']."&item=".$folder."&action=view\">View file</a>";
		$restoreText = "<a href=\"?page=".$page."&item=".$folder."&action=restore\">Restore</a>";
		$removeText = "<a href=\"?page=".$page."&item=".$folder."&action=remove\">Remove</a>";
		if ($rootPath == "") {
			$folderSplit = split("_",$folder);
			$folderSplit[0] = gmdate('d.m.Y H:i:s',$folderSplit[0])." UTC";
			$fileExt = "backup";
		} else {
			$serverRootPath = constant('SERVER_PROJECT_ROOT')."admin/.backups/".$rootPath.$folder;
			$folderSplit = array(0=>$folder,1=>filesize($serverRootPath),2=>gmdate('d.m.Y H:i:s',filemtime($serverRootPath))." UTC");
			
			$folderSize = $folderSplit[1]; $folderSizeCount = 0;
			while($folderSize >= 1024) { $folderSize /= 1024; $folderSizeCount++; }
			$folderSizeCountArray = array('Byte','KB','MB','GB','TB','PB','EB');
			
			$folderSplit[1] = floor($folderSize)." ".$folderSizeCountArray[$folderSizeCount];
			$fileExt = preg_replace("/^.+\.([^\.]+)$/is","$1",$folder);
			if ($fileExt == $folder) { $fileExt = "folder"; } else { $isLink = false; }
		}
		$isLinkText = $isLink === true ? "<a href=\"?page=".$page."&list=".$rootPath."".$folder."\">".$folderSplit[0]."</a>" : $folderSplit[0];
		
		$actions = "-";
		if ($rootPath == "") { $actions = /*$restoreText."&nbsp;|&nbsp;".*/$removeText; }
		if (!$isLink) { $actions = $viewText; }
		$content['body'] .= "
			<tr>
				<td><span class=\"fileType fileType_".$fileExt."\">".$isLinkText."</span>&nbsp;&nbsp;&nbsp;</td>
				<td style=\"text-align:right\">".$folderSplit[1]."&nbsp;&nbsp;&nbsp;</td>
				<td>".$folderSplit[2]."&nbsp;&nbsp;&nbsp;</td>
				<td>".$actions."</td>
			</tr>
		";
	}
	
	$content['body'] .= "<tr><td colspan=\"6\"><hr></td></tr></table>";
	
}

// show the content of a specific backup file
if (isset($_GET['list']) && isset($_GET['item']) && isset($_GET['action']) && $_GET['action'] == "view") {
	$tmppath = constant('SERVER_PROJECT_ROOT')."admin/.backups/".$_GET['list']."/".$_GET['item'];
	$content['body'] .= "<br>&nbsp;<br><b>View '".htmlentities($_GET['item'])."'</b><br>&nbsp;<br>";
	if (file_exists($tmppath)) {
		$fileContent = file_get_contents($tmppath);
		if (strlen($fileContent) > 0) { $content['body'] .= htmlentities($fileContent); }
		else { $content['body'] .= "Your choosen file doesn't have any content."; }
	} else { $content['body'] .= "Your choosen file doesn't exist."; }
}

// add,change,remove messages
if (!isset($_GET['item']) && isset($_GET['action'])) {
	//$error = isset($_GET['error']) ? $_GET['error'] : "";
	if ($_GET['action'] == "added" && $error == "") { $message = "The backup was created successfully."; }
	if ($_GET['action'] == "updated" && $error == "") { $message = "The backup was changed successfully."; }
	if ($_GET['action'] == "removed" && $error == "") { $message = "The backup was removed successfully."; }
	
	if ($error == "404") { $message = "Backup not found."; }
	if ($error == "501") { $message = "Permission denied."; }
	
	if (isset($message)) {
		$link = $error == "" ? "<a href=\"?page=".$page."\">Go to backup overview</a>" : "<a href=\"javascript:;\" onClick=\"history:back(-1)\">Try again</a>";
		$content['body'] = "<div class=\"message\">" . $message . "</div>".$link;
	}
}

// create a new backup
if (!isset($_GET['item']) && isset($_GET['action']) && $_GET['action'] == "add") {
	$content['body'] .= "";
	$systemVersion = preg_replace("/\./is",":",$systemInfo['cms']['version']);
	$backupName = time()."_".$systemInfo['cms']['name']."-".$systemVersion."_".getGUID();
	$backupRoot = constant('SERVER_PROJECT_ROOT')."admin/.backups/".$backupName;
	if (!file_exists($backupRoot)) { mkdir($backupRoot); chmod($backupRoot,0740); }
	
	// TODO: create db dump
	include_once('../inc/db.php');
	backup_tables($backupRoot.'/db_dump.sql','*');
	
	// backup files (file by file)
	foreach($filesToBackup as $ftb) {
		$path = $backupRoot."/".$ftb;
		$levels = split("/",$ftb); $tmpFolderPath = $backupRoot."/";
		foreach($levels as $l) {
			if (preg_match("/^\.?[a-z0-9]+$/i",$l) == 1) {
				$tmpFolderPath .= $l."/";
				if (!is_dir($tmpFolderPath)) { mkdir($tmpFolderPath); }
			}
		}
		$fileToBackup = constant('SERVER_PROJECT_ROOT').$ftb;
		if (file_exists($fileToBackup)) {
			$fileContent = file_get_contents($fileToBackup);
			if (strlen($fileContent) > 0) {
				writeFile("admin/.backups/".$backupName."/".$ftb,$fileContent);
			}
		}
	}
	
	// backup files in specific folder
	foreach($foldersToBackup as $ftb) {
		$path = $backupRoot."/".$ftb;
		$levels = split("/",$ftb); $tmpFolderPath = $backupRoot."/";
		foreach($levels as $l) {
			if (preg_match("/^\.?[a-z0-9]+$/i",$l) == 1) {
				$tmpFolderPath .= $l."/";
				if (!is_dir($tmpFolderPath)) { mkdir($tmpFolderPath); }
			}
		}
		$dir = dir(constant('SERVER_PROJECT_ROOT').$ftb);
		while ($entry = $dir->read()) { if (!is_dir($entry)) { $files[] = $entry; } } $dir->close();
		$files = isset($files) ? $files : array(); sort($files);
		
		foreach($files as $file) {
			$fileContent = file_get_contents(constant('SERVER_PROJECT_ROOT').$ftb.$file);
			if (strlen($fileContent) > 0) {
				writeFile("admin/.backups/".$backupName."/".$ftb.$file,$fileContent);
			}
		}
	}
	
	pageForward("?page=".$page."&action=added");
}

if (isset($_GET['item']) && isset($_GET['action'])) {
	
	// TODO: restore an existing backup
	if ($_GET['action'] == "restore") {
		$content['body'] = "Restore functionality isn't implemented yet.";
	}

	// remove an existing backup
	if ($_GET['action'] == "remove") {
		$rmPath = constant('SERVER_PROJECT_ROOT')."admin/.backups/".$_GET['item'];
		if (file_exists($rmPath)) {
			if (delTree($rmPath)) { pageForward("?page=".$page."&action=removed"); }
			else { pageForward("?page=".$page."&action=removed&error=501"); }
		} else { pageForward("?page=".$page."&action=removed&error=404"); }
	}
	
}

?>
