<?

$content = array();
$content['title'] = "Files";
$content['body'] = "";

$files = getDocuments();
// print_r($files); die();

// File overview
if (!isset($_GET['item']) && !isset($_GET['action'])) {
	$content['body'] .= "
		Files are elements you can store in the filesystem online.
		Set dynamic links to files in 'Design' and 'Pages' by 
		&lt;a href=\"{{files:<em>FILEID</em>:path}}\"&gt;{{pages:<em>FILEID</em>:name}}&lt;/a&gt; 
		or {{files:<em>FILEID</em>:link}}
		<br><br>";
	$content['body'] .= "
		<a href=\"?page=".$page."&action=add\">Add a new file</a><br><br>
		<table>
		<tr><td colspan=\"6\"><hr></td></tr>
		<tr>
			<th>File&nbsp;name&nbsp;&nbsp;&nbsp;</th>
			<th>Type&nbsp;&nbsp;&nbsp;</th>
			<th>Access&nbsp;for&nbsp;&nbsp;&nbsp;</th>
			<th>Links&nbsp;&nbsp;&nbsp;</th>
			<th>Actions</th>
		</tr>
		<tr><td colspan=\"6\"><hr></td></tr>
	";
	
	foreach(array_keys($files) as $f) {
		$file = $files[$f]; $type = getFileType("files/".$file);
		$removeText = "<a href=\"?page=".$page."&item=".$file."&action=remove\">remove</a>";
		$content['body'] .= "
			<tr>
				<td><a href=\"?page=".$page."&item=".$file."\">".$file."</a>&nbsp;&nbsp;&nbsp;</td>
				<td>".$type."&nbsp;&nbsp;&nbsp;</td>
				<td>Everyone&nbsp;&nbsp;&nbsp;</td>
				<td>
					<a href=\"../files/index.php?preview=".$file."\" target=\"_blank\">Preview</a> | 
					<a href=\"../files/index.php?download=".$file."\" target=\"_blank\">Download</a>
					&nbsp;&nbsp;&nbsp;
				</td>
				<td><a href=\"?page=".$page."&item=".$file."&action=change\">change</a>&nbsp;|&nbsp;".$removeText."</td>
			</tr>
		";
	}
	
	$content['body'] .= "<tr><td colspan=\"6\"><hr></td></tr></table>";
	
}

// file details
if (isset($_GET['item'])) {
	$item = $_GET['item'];
	if (!isFileAvailable($item)) { pageForward("?page=".$page); }
	$filePath = "files/".$item;
}

// Display page
if (isset($_GET['item']) && !isset($_GET['action'])) {
	$content['body'] .= "
		<div>
			<span style=\"float: left; width: 100px;\">File name:&nbsp;</span>
			<span>".$item."</span>
		</div>
		<div>
			<span style=\"float: left; width: 100px;\">File Type:&nbsp;</span>
			<span>".getFileType($filePath)."</span>
		</div>
		<div>
			<span style=\"float: left; width: 100px;\">File size:&nbsp;</span>
			<span>".getFileSizeFormated($filePath)."</span>
		</div>
		<div>
			<span style=\"float: left; width: 100px;\">Access for:&nbsp;</span>
			<span>Everyone</span>
		</div>
		<div>&nbsp;</div>
		<div>
			<span>
				<input class=\"submit\" type=\"button\" name=\"goToOverview\" value=\"Go to overview\" onclick=\"loadUrl('?page=".$page."')\">
				&nbsp;&nbsp;
				<input class=\"submit\" type=\"button\" name=\"changeItem\" value=\"Change this item\" onclick=\"loadUrl('?page=".$page."&item=".$item."&action=change')\">
				&nbsp;&nbsp;
				<input class=\"submit\" type=\"button\" name=\"removeItem\" value=\"Remove this item\" onclick=\"loadUrl('?page=".$page."&item=".$item."&action=remove')\">
			</span>
		</div>
	";
}

// add,change,remove messages
if (!isset($_GET['item']) && isset($_GET['action'])) {
	$error = isset($_GET['error']) ? $_GET['error'] : "";
	if ($_GET['action'] == "added" && $error == "") { $message = "The file was created successfully."; }
	if ($_GET['action'] == "updated" && $error == "") { $message = "The file was changed successfully."; }
	if ($_GET['action'] == "removed" && $error == "") { $message = "The file was removed successfully."; }
	if ($error == "nofile") { $message = "No File selected."; }
	if ($error == "upload") { $message = "A file upload error occurred."; }
	if ($error == "empty") { $message = "FileName cannot be empty."; }
	if ($error == "syntax") { $message = "One or more fields are not well formed."; }
	if ($error == "exist") { $message = "There is already a file with that name."; }
	if ($error == "wrongid") { $message = "Wrong fileName."; }
	if (isset($message)) {
		$link = $error == "" ? "<a href=\"?page=".$page."\">Go to file overview</a>" : "<a href=\"javascript:;\" onClick=\"history:back(-1)\">Try again</a>";
		$content['body'] .= "<div class=\"message\">" . $message . "</div>".$link;
	}
}

// Add file
if (!isset($_GET['item']) && isset($_GET['action']) && $_GET['action'] == "add") {
	if (isset($_POST['name'])) {
		if (!isset($_FILES["document"])) { pageForward("?page=".$page."&action=added&error=nofile"); }
		$fileName = $_POST['name'];
		$uploadFileName = $_FILES["document"]["name"];
		if ($fileName == "") { pageForward("?page=".$page."&action=added&error=empty"); }
		$type = system_mime_type_extension($_FILES["document"]["type"]);
		if (substr($fileName,strlen($fileName)-strlen($type)-1) != ".".$type) { $fileName .= ".".$type; }
		if (!isValid($fileName,"/(\w+[\.\w{2,}]+)/")) { pageForward("?page=".$page."&action=added&error=syntax"); }
		if (isFileAvailable($fileName)) { pageForward("?page=".$page."&action=added&error=exist"); }
		if ($_FILES["document"]["error"] > 0) { pageForward("?page=".$page."&action=added&error=upload"); }
		move_uploaded_file($_FILES["document"]["tmp_name"],"../files/".$fileName);
		pageForward("?page=".$page."&action=added");
	}
	$content['body'] .= "
		<form method=\"post\" action=\"\" name=\"addForm\" enctype=\"multipart/form-data\">
			<div>
				<span style=\"float: left; width: 100px;\">Name:&nbsp;</span>
				<span>".getFormField("text","name","")."</span>
			</div>
			<div>
				<span style=\"float: left; width: 100px;\">File:&nbsp;</span>
				<span>".getFormField("file","document","")."</span>
			</div>
			<div>
				<span style=\"float: left; width: 100px;\">Access for:&nbsp;</span>
				<span>
					<select name=\"isVisibleFor\" style=\"width: 150px;\">
						<option value=\"*\">Everyone</option>
					</select>
				</span>
			</div>
			<div>&nbsp;</div>
			<div>
				<span>
					<input class=\"submit\" type=\"button\" name=\"discardFormButton\" value=\"Discard\" onclick=\"loadUrl('?page=".$page."')\">
					&nbsp;&nbsp;
					<input class=\"submit\" type=\"button\" name=\"submitFormButton\" value=\"Add file\" onclick=\"submitForm('addForm')\">
				</span>
			</div>
		</form>
	";
}

// Update file
if (isset($_GET['item']) && isset($_GET['action']) && $_GET['action'] == "change") {
	if (isset($_POST['name'])) {
		if (!isset($_FILES["document"])) { pageForward("?page=".$page."&action=updated&error=nofile"); }
		$fileName = $_POST['name'];
		$uploadFileName = $_FILES["document"]["name"];
		if ($fileName == "") { pageForward("?page=".$page."&action=updated&error=empty"); }
		$type = system_mime_type_extension(mime_content_type("../files/".$item));
		// die($type);
		if ($uploadFileName > "") {
			if ($_FILES["document"]["error"] > 0) { pageForward("?page=".$page."&action=updated&error=upload"); }
			$type = system_mime_type_extension($_FILES["document"]["type"]);
		}
		if (substr($fileName,strlen($fileName)-strlen($type)-1) != ".".$type) { $fileName .= ".".$type; }
		if (!isValid($fileName,"/(\w+[\.\w{2,}]+)/")) { pageForward("?page=".$page."&action=updated&error=syntax"); }
		if ($fileName != $item && isFileAvailable($fileName)) { pageForward("?page=".$page."&action=updated&error=exist"); }
		if ($fileName != $item) { rename("../files/".$item,"../files/".$fileName); }
		if ($uploadFileName > "") {
			unlink("../files/".$fileName);
			move_uploaded_file($_FILES["document"]["tmp_name"],"../files/".$fileName);
		}
		pageForward("?page=".$page."&action=updated");
	}
	$content['body'] .= "
		<form method=\"post\" action=\"\" name=\"updateForm\" enctype=\"multipart/form-data\">
			<div>
				<span style=\"float: left; width: 100px;\">Item:&nbsp;</span>
				<span>".$item."</span>
			</div>
			<div>
				<span style=\"float: left; width: 100px;\">Name:&nbsp;</span>
				<span>".getFormField("text","name",$item)."</span>
			</div>
			<div>
				<span style=\"float: left; width: 100px;\">Replace file:&nbsp;</span>
				<span>".getFormField("file","document","")."</span>
			</div>
			<div>
				<span style=\"float: left; width: 100px;\">Access for:&nbsp;</span>
				<span>
					<select name=\"isVisibleFor\" style=\"width: 150px;\">
						<option value=\"*\">Everyone</option>
					</select>
				</span>
			</div>
			<div>&nbsp;</div>
			<div>
				<span>
					<input class=\"submit\" type=\"button\" name=\"discardFormButton\" value=\"Discard\" onclick=\"loadUrl('?page=".$page."')\">
					&nbsp;&nbsp;
					<input class=\"submit\" type=\"button\" name=\"submitFormButton\" value=\"Update file\" onclick=\"submitForm('updateForm')\">
				</span>
			</div>
		</form>
	";
}

// Remove file
if (isset($_GET['item']) && isset($_GET['action']) && $_GET['action'] == "remove") {
	
	$item = $_GET['item'];
	if (!isFileAvailable($item)) { pageForward("?page=".$page); }
	
	if (isset($_POST['id'])) {
		$fileName = $_POST['id'];
		if ($fileName == "") { pageForward("?page=".$page."&action=removed&error=empty"); }
		if (!isValid($fileName,"/(\w+[\.\w{2,}]+)/")) { pageForward("?page=".$page."&action=removed&error=syntax"); }
		if ($fileName != $item) { pageForward("?page=".$page."&action=removed&error=wrongid"); }
		unlink("../files/".$fileName); pageForward("?page=".$page."&action=removed");
	}
	$content['body'] .= "
		<form method=\"post\" action=\"\" name=\"removeForm\">
			".getFormField("hidden","id",$item)."
			<div>Do you really want to delete the file '".$item."'?</div>
			<div>&nbsp;</div>
			<div>
				<span>
					<input class=\"submit\" type=\"button\" name=\"discardFormButton\" value=\"No\" onclick=\"loadUrl('?page=".$page."&item=".$item."')\">
					&nbsp;&nbsp;
					<input class=\"submit\" type=\"button\" name=\"submitFormButton\" value=\"Yes\" onclick=\"submitForm('removeForm')\">
				</span>
			</div>
		</form>
	";
}
?>
