<?

$content = array();
$content['title'] = "Pages";
$content['body'] = "";

$pages = getPages();
$nav = getJson("navigation");

$pageNavItems = array();
function displayNavItems($array) {
	$string = ""; global $page; global $pageNavItems;
	if (!is_array($array)) { return ""; }
	foreach($array as $k => $v) {
		$pageNavItems["'".$k."'"] = "true";
		$string .= "<div id='navItem_".$k."' class='pageNavItem'>
			<li id='navItemLi_".$k."'><b><a id='navItemLink_".$k."' href='javascript:;' onclick=\"showNavItemActionMenu('".$k."');\"><span id='navItemName_".$k."'>".$array[$k]['name']."</span></a></b>
			<span id='navItemActionMenu_".$k."' class='pageNavItemActionMenu'>
				=> <small>(pageid: ".$k.")</small> => 
				<a href=\"?page=".$page."&item=".$k."&action=change\">modify page</a> || 
				<a href=\"javascript:;\" onclick=\"editPageNavItemName('".$k."');\">change name</a> | 
				<a href=\"javascript:;\" onclick=\"movePageNavItem('".$k."');\">move</a> | 
				<a href=\"javascript:;\" onclick=\"removePageNavItem('".$k."');\">remove</a> || 
				<a href=\"javascript:;\"><em>delete page</em></a>
			</span>
			</li>
		";
		if (isset($array[$k]['sub'])) { $string .= displayNavItems($array[$k]['sub']); }
		$string .= "</div>";
	}
	return $string;
}
function updateSitemap($array) {
	$string = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<urlset xmlns=\"http://www.sitemaps.org/schemas/sitemap/0.9\">".getSitemapData($array)."</urlset>";
	writeFile("sitemap.xml",$string);
}
function getSitemapData($array) {
	$string = "";
	if (!is_array($array)) { return ""; }
	foreach($array as $k => $v) {
		$string .= "<url><loc>".constant("PROJECT_ROOT")."?page=".$k."</loc></url>\n";
		if (isset($array[$k]['sub'])) { $string .= getSitemapData($array[$k]['sub']); }
	}
	return $string;
}

if (isset($_POST['saveNewNavStructureInput'])) {
	$jstr = $_POST['saveNewNavStructureInput'];
	$jstr = htmlHexChars($jstr);
	//die($jstr);
	if (strlen($jstr) > 0) {
		writeFile(".json/navigation.json",$jstr);

		// create/update sitemap
		$nav = getJson("navigation");
		updateSitemap($nav);
		
	}
	
	pageForward("?page=".$page);
}

// Page overview
if (!isset($_GET['item']) && !isset($_GET['action'])) {
	$content['body'] .= "
		Pages are the items that have the content in it. 
		Such pages can be connected to the navigation or called directly by '?page=<em>PAGEID</em>'.<br>
		Set dynamic links to pages in 'Design' and 'Pages' by &lt;a href=\"{{pages:<em>PAGEID</em>:link}}\"&gt;{{pages:<em>PAGEID</em>:title}}&lt;/a&gt;
		<br><br>";
	$content['body'] .= "
		<a href=\"?page=".$page."&action=add\">Add a new page</a><br><br>
		<form id=\"saveNewNavStructureForm\" name=\"saveNewNavStructureForm\" action=\"?page=".$page."&action=nav\" method=\"post\" style=\"display:none;visibility:hidden;\">
			<input type=\"text\" id=\"saveNewNavStructureInput\" name=\"saveNewNavStructureInput\" value=\"\" style=\"visibility:hidden;\">
		</form>
		<hr>
		<div id=\"pageNavItemsAlert\"></div>
		<div id=\"pageNavItems\">".displayNavItems($nav)."</div>
		<hr>
	";
	
	$pages = getPages(); $string = "";
	foreach(array_keys($pages) as $pi) { 
		$p = $pages[$pi];
		$pa = getPage($p); $pageName = $pa['title'];
		if (!isset($pageNavItems["'".$p."'"])) {
			$string .= "<div id='navXItem_".$p."' class='pageNavItem'>
				<li><b><a href='javascript:;' onclick=\"showNavItemActionMenu('".$p."');\"><span id='navItemName_".$p."'>".$pageName."</span></a></b>
				<span id='navItemActionMenu_".$p."' class='pageNavItemActionMenu'>
					=> <small>(pageid: ".$p.")</small> => 
					<a href=\"?page=".$page."&item=".$p."&action=change\">modify page</a> | 
					<a href=\"javascript:;\" onclick=\"addPageNavItem('".$p."');\">add to navigation</a> | 
					<a href=\"?page=".$page."&item=".$p."&action=remove\">delete page</a>
				</span>
				</li>
			</div>
			";
		}
	}
	$content['body'] .= "<div id=\"pageNavXItems\">".$string."</div>";
	
}

// Get general page data
if (isset($_GET['item'])) {
	$item = $_GET['item'];
	if (!isPageAvailable($item)) { pageForward("?page=".$page); } $values = getPage($item);
	$isNotInNav = !isset($nav[$item]);
	if ($isNotInNav) { $nav[$item] = array('name'=>'','pos'=>'0'); }
	$navItem = $nav[$item];
	// print_r($navItem);
	$navLevel = count(array_keys(split("\.",$navItem['pos'])));
	$fatherPos = (strpos($navItem['pos'],".") > 0) ? substr($navItem['pos'],0,strrpos($navItem['pos'],".")) : "";
	$fatherItem = $fatherPos;
	$levelPos = (strpos($navItem['pos'],".") > 0) ? substr($navItem['pos'],strrpos($navItem['pos'],".")+1) : $navItem['pos'];
}

// Display page
if (isset($_GET['item']) && !isset($_GET['action'])) {
	$content['body'] .= "
		<div>
			<span>
				<input class=\"submit\" type=\"button\" name=\"goToOverview\" value=\"Go to overview\" onclick=\"loadUrl('?page=".$page."')\">
				&nbsp;&nbsp;
				<input class=\"submit\" type=\"button\" name=\"copyItem\" value=\"Copy that page\" onclick=\"loadUrl('?page=".$page."&action=add&copy=".$item."')\">
				&nbsp;&nbsp;
				<input class=\"submit\" type=\"button\" name=\"changeItem\" value=\"Change this item\" onclick=\"loadUrl('?page=".$page."&item=".$item."&action=change')\">
				&nbsp;&nbsp;
				<input class=\"submit\" type=\"button\" name=\"removeItem\" value=\"Remove this item\" onclick=\"loadUrl('?page=".$page."&item=".$item."&action=remove')\">
			</span>
		</div>
		<div><hr></div>
		<div>
			<span style=\"float: left; width: 120px;\">Id:&nbsp;</span>
			<span>".$item."</span>
		</div>
		<div>
			<span style=\"float: left; width: 120px;\">Title:&nbsp;</span>
			<span>".$values['title']."</span>
		</div>
		<div>
			<span style=\"float: left; width: 120px;\">Description:&nbsp;</span>
			<span>".$values['description']."</span>
		</div>
		<div>
			<span style=\"float: left; width: 120px;\">MetaDescription:&nbsp;</span>
			<span>".$values['meta_description']."</span>
		</div>
		<div>
			<span style=\"float: left; width: 120px;\">MetaKeywords:&nbsp;</span>
			<span>".$values['meta_keywords']."</span>
		</div>
		<div>
			<span style=\"float: left; width: 120px;\">Access for:&nbsp;</span>
			<span>Everyone</span>
		</div>
		<div>
			<span style=\"float: left; width: 120px;\">Navigation:&nbsp;</span>
			<span>Name: '".$navItem['name']."' / Structure level: '".$navLevel."' / Father item: '".$fatherItem."' / Level position: '".$levelPos."'</span>
		</div>
		<div>&nbsp;</div>
		<div>
			Body:<br>
			<div class=\"scrollBox\">".htmlentities($values['body'])."</div>
		</div>
	";
}

// add,change,remove messages
if (!isset($_GET['item']) && isset($_GET['action'])) {
	$error = isset($_GET['error']) ? $_GET['error'] : "";
	if ($_GET['action'] == "added" && $error == "") { $message = "The page was created successfully."; }
	if ($_GET['action'] == "updated" && $error == "") { $message = "The page was changed successfully."; }
	if ($_GET['action'] == "removed" && $error == "") { $message = "The page was removed successfully."; }
	if ($error == "empty") { $message = "PageId cannot be empty."; }
	if ($error == "syntax") { $message = "One or more fields are not well formed."; }
	if ($error == "exist") { $message = "There is already a page with that id."; }
	if ($error == "wrongid") { $message = "Wrong pageId."; }
	if (isset($message)) {
		$link = $error == "" ? "<a href=\"?page=".$page."\">Go to page overview</a>" : "<a href=\"javascript:;\" onClick=\"history:back(-1)\">Try again</a>";
		$content['body'] .= "<div class=\"message\">" . $message . "</div>".$link;
	}
}

// Add page
if (!isset($_GET['item']) && isset($_GET['action']) && $_GET['action'] == "add") {
	if (isset($_POST['id'])) {
		$pageId = $_POST['id'];
		if ($pageId == "") { pageForward("?page=".$page."&action=added&error=empty"); }
		if (!hasStdLettersOnly($pageId)) { pageForward("?page=".$page."&action=added&error=syntax"); }
		if (isPageAvailable($pageId)) { pageForward("?page=".$page."&action=added&error=exist"); }
		$json = array();
		$json['title'] = htmlHexChars(stripslashes($_POST['title']));
		$json['description'] = htmlHexChars(stripslashes($_POST['description']));
		$json['meta_description'] = htmlHexChars(stripslashes($_POST['meta_description']));
		$json['meta_keywords'] = htmlHexChars(stripslashes($_POST['meta_keywords']));
		$json['body'] = htmlHexChars(stripslashes($_POST['body']));
		writeJson("pages/".$pageId,$json);
		pageForward("?page=".$page."&action=added");
	}
	$isCopyOf = isset($_GET['copy']) && isPageAvailable($_GET['copy']);
	if ($isCopyOf) { $pageData = getPage($_GET['copy']); }
	$pageName = $isCopyOf ? $_GET['copy'] : "";
	$values = $isCopyOf ? $pageData : array('title'=>'','description'=>'','body'=>'');
	
	$content['body'] .= "
		<form method=\"post\" action=\"\" name=\"addForm\">
			<div>
				<span style=\"float: left; width: 120px;\">Id:&nbsp;</span>
				<span>".getFormField("text","id","")."</span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">Title:&nbsp;</span>
				<span>".getFormField("text","title",$values['title'])."</span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">Description:&nbsp;</span>
				<span>".getFormField("text","description",$values['description'])."</span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">MetaDescription:&nbsp;</span>
				<span>".getFormField("text","meta_description",$values['meta_description'])."</span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">MetaKeywords:&nbsp;</span>
				<span>".getFormField("text","meta_keywords",$values['meta_keywords'])."</span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">Access for:&nbsp;</span>
				<span>
					<select name=\"isVisibleFor\" style=\"width: 150px;\">
						<option value=\"*\">Everyone</option>
					</select>
				</span>
			</div>
			<div><hr></div>
			<div>
				<span style=\"float: left; width: 120px;\">Body:&nbsp;</span>
				<span>".getFormField("textarea","body",$values['body'])."</span>
			</div>
			<div>&nbsp;</div>
			<div>
				<span>
					<input class=\"submit\" type=\"button\" name=\"discardFormButton\" value=\"Discard\" onclick=\"loadUrl('?page=".$page."')\">
					&nbsp;&nbsp;
					<input class=\"submit\" type=\"button\" name=\"submitFormButton\" value=\"Add page\" onclick=\"submitForm('addForm')\">
				</span>
			</div>
		</form>
	";
}

// Change page
if (isset($_GET['item']) && isset($_GET['action']) && $_GET['action'] == "change") {
	
	$item = $_GET['item'];
	if (!isPageAvailable($item)) { pageForward("?page=".$page); }
	
	// update item
	if (isset($_POST['id'])) {
		$pageId = $_POST['id'];
		if ($pageId == "") { pageForward("?page=".$page."&action=updated&error=empty"); }
		if (!hasStdLettersOnly($pageId)) { pageForward("?page=".$page."&action=updated&error=syntax"); }
		if ($pageId != $item) { pageForward("?page=".$page."&action=updated&error=wrongid"); }
		// if (isPageAvailable($pageId)) { pageForward("?page=".$page."&action=added&error=exist"); }
		
		// update page
		$json = array();
		$json['title'] = htmlHexChars(stripslashes($_POST['title']));
		$json['description'] = htmlHexChars(stripslashes($_POST['description']));
		$json['meta_description'] = htmlHexChars(stripslashes($_POST['meta_description']));
		$json['meta_keywords'] = htmlHexChars(stripslashes($_POST['meta_keywords']));
		$json['body'] = htmlHexChars(stripslashes($_POST['body']));
		//echo ($json['body']."<br>\n");
		writeJson("pages/".$pageId,$json);
		//die();
		
		pageForward("?page=".$page."&action=updated");
		
	}
	
	$values = getPage($item);
	
	$content['body'] .= "
		<form method=\"post\" action=\"\" name=\"changeForm\">
			<div>
				<span style=\"float: left; width: 120px;\">Id:&nbsp;</span>
				<span>".getFormField("hidden","id",$item)."<input type=\"text\" name=\"\" value=\"".$item."\" style=\"width: 150px;\" disabled=\"disabled\"></span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">Title:&nbsp;</span>
				<span>".getFormField("text","title",$values['title'])."</span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">Description:&nbsp;</span>
				<span>".getFormField("text","description",$values['description'])."</span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">MetaDescription:&nbsp;</span>
				<span>".getFormField("text","meta_description",$values['meta_description'])."</span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">MetaKeywords:&nbsp;</span>
				<span>".getFormField("text","meta_keywords",$values['meta_keywords'])."</span>
			</div>
			<div>
				<span style=\"float: left; width: 120px;\">Access for:&nbsp;</span>
				<span>
					<select name=\"isVisibleFor\" style=\"width: 150px;\">
						<option value=\"*\">Everyone</option>
					</select>
				</span>
			</div>
			<div><hr></div>
			<div>
				<span style=\"float: left; width: 120px;\">Body:&nbsp;</span>
				<span>".getFormField("textarea","body",$values['body'])."</span>
			</div>
			<div>&nbsp;</div>
			<div>
				<span>
					<input class=\"submit\" type=\"button\" name=\"discardFormButton\" value=\"Discard changes\" onclick=\"loadUrl('?page=".$page."&item=".$item."')\">
					&nbsp;&nbsp;
					<input class=\"submit\" type=\"button\" name=\"submitFormButton\" value=\"Save changes\" onclick=\"submitForm('changeForm')\">
				</span>
			</div>
		</form>
	";
}

// Remove page
if (isset($_GET['item']) && isset($_GET['action']) && $_GET['action'] == "remove") {
	
	$item = $_GET['item'];
	if (!isPageAvailable($item)) { pageForward("?page=".$page); }
	$fatherItem = $nav[$item]; $fatherPos = $nav[$item]['pos']; $subItemCount = 0;
	
	if (isset($_POST['id'])) {
		$pageId = $_POST['id'];
		if ($pageId == "") { pageForward("?page=".$page."&action=removed&error=empty"); }
		if (!hasStdLettersOnly($pageId)) { pageForward("?page=".$page."&action=removed&error=syntax"); }
		if ($pageId != $item) { pageForward("?page=".$page."&action=removed&error=wrongid"); }
		removeJson("pages/".$pageId); pageForward("?page=".$page."&action=removed");
	}
	
	foreach(array_keys($nav) as $i) { if (isValid($nav[$i]['pos'],"/(".str_replace(".","\.",$fatherPos)."\..*)/")) { $subItemCount++; } }
	$subItemsTextExtra = $subItemCount > 1 ? "s" : "";
	$subItemsText = $subItemCount > 0 ? "<div><b>ATENTION: </b>This page have ".$subItemCount." subitem".$subItemsTextExtra." that <b>will be deleted too</b>.</div>" : "";
	$content['body'] .= "
		<form method=\"post\" action=\"\" name=\"removeForm\">
			".getFormField("hidden","id",$item)."
			<div>Do you really want to delete the page '".$item."'?</div>
			".$subItemsText."
			<div>&nbsp;</div>
			<div>
				<span>
					<input class=\"submit\" type=\"button\" name=\"discardFormButton\" value=\"No\" onclick=\"loadUrl('?page=".$page."&item=".$item."')\">
					&nbsp;&nbsp;
					<input class=\"submit\" type=\"button\" name=\"submitFormButton\" value=\"Yes\" onclick=\"submitForm('removeForm')\">
				</span>
			</div>
		</form>
	";
}
?>
